/********************************************************************************/
/*                                                                     			*/
/*  SERIAL_FOR_RV.C:  	Low Level Serial Routines                              	*/
/*             			[for use when using RealView compiler and printf()     	*/
/*                      		                                               	*/
/********************************************************************************/

#include <aduc7028.H>                      /* ADuC7028 definitions          */

#define CR     0x0D

int fputc(int ch)  {                   /* Write character to Serial Port  */

	if (ch == '\n')  {
    	while(!(0x020==(COMSTA0 & 0x020)))
    	{}
		COMTX = CR;							/* output CR */
		}
    while(!(0x020==(COMSTA0 & 0x020)))
    {}
 
 	return (COMTX = ch);
}


int getchar (void)  {                      /* Read character from Serial Port */

   	while(!(0x01==(COMSTA0 & 0x01)))
   	{}
  	return (COMRX);
}



